Table of Contents

Class: IReactorFDSet | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
### Implement me to be able to use FileDescriptor type resources. This assumes that your main-loop uses UNIX-style numeric file descriptors (or at least similarly opaque IDs returned from a .fileno() method)
Base Classes |
--- | ---
Interface
Methods |
--- | ---
addReader addWriter removeReader removeWriter
| addReader
    addReader ( self,  reader )
addReader(IReadDescriptor) -> None
| addWriter
    addWriter ( self,  writer )
addWriter(IWriteDescriptor) -> None
| removeReader
    removeReader ( self,  reader )
removeReader(IReadDescriptor) -> None
| removeWriter
    removeWriter ( self,  writer )
removeWriter(IWriteDescriptor) -> None

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0